function[mask, pq_norms_val] = merge_subregions(mask, pq_norms_val, i_p, i_q)

%% [mask, pq_norms_val] = merge_subregions(mask, pq_norms_val, i_p, i_q)
% This function merge two regions. See [1]
%
% Inputs:
%     -mask: mask with P regions (mask labeled)
%     -pq_norms_val:  array with all norms between all p and q regions
%     - i_p, i_q: ineteger
% Outputs:
%     -mask:final mask
%     - pq_norms_val: array with all norms between all p and q regions

% Reference:
% [1]Time-frequency fading algorithms based on Gabor multipliers,2020.
%
% Author: Marina KREME
%%
p = i_p + 1;
q = i_q + 1;

n_labels = size(pq_norms_val,1);
mask(mask == p)= q;
mask(mask == n_labels) = p;
pq_norms_val(i_p, 1:i_p - 1)= pq_norms_val(end, 1:i_p - 1);
pq_norms_val(i_p:end, i_p) = pq_norms_val(end, i_p:end);
pq_norms_val = pq_norms_val(1:end-1, 1:end-1);

end




