function signal_params = generate_signal_parameters(fs, sig_len)
%% GENERATE_SIGNAL_PARAMETERS
% signal_params = generate_signal_parameters(fs, sig_len)
% function that generates signals parameters (fs and sig_len)
%
% Inputs:
%       - fs: sampling frequency
%       - sig_len :   signal length
% Outputs:
%    - signal_params: structure that contains the signal parameters,
% i.e. the sampling frequency and the length of the signal.
%
% Author : A. Marina KREME
% e-mail : ama-marina.kreme@lis-lab.fr/ama-marina.kreme@univ-amu.fr
% Created: 2020-28-01
%%


if mod(sig_len,2)~=0
    sig_len = 2^(round(log2(sig_len)));
end


signal_params.fs=fs;
signal_params.sig_len = sig_len ;


end